#### 7.10.6.30 ncrepGetRegularZeroMinimal

Procedure from library `ncrat.lib` (see ncrat_lib).

Usage:
  ncrep q = ncrepGetRegularZeroMinimal(f, vars);

Return:
  q is a representation of f with
  minimal dimension

Assumption:
  f is regular at zero, i.e.,
  f(0) has to be defined

Note:
  list vars = list(x1, ..., xn) has to consist
  exactly of the nc variables occurring in f

Example:

    LIB "ncrat.lib";
    ncInit(list("x", "y"));
    ncrat f = ncratFromString("inv(1+x*y-y*x)");
    list vars = list(x, y);
    ncrep q = ncrepGetRegularZeroMinimal(f, vars);
    q;
    ==> lvec=
    ==> 0,1,0
    ==>
    ==> mat=
    ==> 1, y, 0,
    ==> -x,1, -y,
    ==> 0, -x,1
    ==>
    ==> rvec=
    ==> 0,
    ==> -1,
    ==> 0
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.